<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">


<!--
IGAC proyecto SNC
@author 		felipe.cadena
@version 		1.0
@ManagedBean    AdministracionAsignacionUsuariosMB
@description	Pantalla para la administracion de asignaciones de usuarios.
@cu 			CU-NP-CO-219
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Rcuperacion de tramites::.
    </ui:define>

    <ui:define name="content">
        <p:focus />

        <p:spacer height="20" width="0" />

        <h:form id="formConsultaTramite"
                onkeypress="return event.keyCode != 13;">



            <p:messages id="msgConsultaTramite" showDetail="false" 
                        globalOnly="false" />

            <h:panelGrid columns="4" cellpadding="3" cellspacing="3">


                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Búsqueda de actvidades" icon="ui-icon-search" immediate="true" update=":busquedaActividadesForm"
                                     onclick="statusDialog.show();"
                                     title="Buscar" label="Buscar actividades" action="#{administracionAsignacionUsuarios.initBusquedaActividad}"
                                     oncomplete="busquedaActividadesWV.show();statusDialog.hide();"/>
                    <p:spacer height="0" width="10" />

                    <p:commandButton value="Búsqueda de trámites" icon="ui-icon-search" immediate="true" update=":busquedaTramitesForm"
                                     onstart="statusDialog.show();" onsuccess="statusDialog.hide();"
                                     title="Buscar" label="Buscar trámites" action="#{administracionAsignacionUsuarios.initBusquedaTramite}"
                                     oncomplete="busquedaTramitesWV.show();"/>

                    <p:spacer height="0" width="10" />

                </p:outputPanel>

            </h:panelGrid>     

            <h:panelGrid width="100%">


                <p:spacer height="20" width="25" />


                <p:panel header="Actividades"
                         id="panelActividadesAsignacion">

                    <ui:include src="/conservacion/asignacion/detalleListaActividadesAsignacion.xhtml">

                        <ui:param name="listaActividadesParam" value="#{administracionAsignacionUsuarios.actividadesSeleccionadosAsignacion}"/>
                        <ui:param name="listaActividadesSeleccionadosParam" value="#{administracionAsignacionUsuarios.actividadesSeleccionadosEliminacion}"/>
                        <ui:param name="seleccionParam" value="true"/>
                        <ui:param name="actividadDetalleParam" value="#{administracionAsignacionUsuarios.actividadSeleccionadaDetalle}"/>   

                    </ui:include>

                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Eliminar actividades" icon="ui-icon-close"
                                         process="@this" title="eliminar" label="eliminar"
                                         action="#{administracionAsignacionUsuarios.eliminarActividades}"
                                         ajax="false" />
                        <p:spacer height="0" width="10" />
                    </p:outputPanel>

                </p:panel>
                <p:spacer height="40" width="25" />
                <p:panel header="Trámites"
                         id="panelTramitesAsignacion">

                    <ui:include src="/conservacion/asignacion/detalleListaTramitesAsignacion.xhtml">

                        <ui:param name="listaTramitesParam" value="#{administracionAsignacionUsuarios.tramitesSeleccionadosAsignacion}"/>
                        <ui:param name="listaTramitesSeleccionadosParam" value="#{administracionAsignacionUsuarios.tramitesSeleccionadosEliminacion}"/>
                        <ui:param name="seleccionParam" value="true"/>

                    </ui:include>


                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Eliminar tramites" icon="ui-icon-close"
                                         process="@this" title="eliminar" label="eliminar"
                                         action="#{administracionAsignacionUsuarios.eliminarTramites}"
                                         ajax="false" />
                        <p:spacer height="0" width="10" />
                    </p:outputPanel>

                </p:panel>

                <h:panelGrid columns="3" cellpadding="3" cellspacing="3">

                    <h:outputLabel value="Motivo de desasignación:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <h:inputTextarea value="#{administracionAsignacionUsuarios.motivoReasignacion}" cols="300"
                                     />


                </h:panelGrid>     

                <h:panelGrid columns="5" cellpadding="3" cellspacing="3">

                    <p:commandButton value="Reasignar" icon="ui-icon-person"
                                     onstart="statusDialog2.show()"
                                     action="#{administracionAsignacionUsuarios.reasignarTramites}"
                                     oncomplete="handleCompleteSIC(xhr, status, args, asignacionFuncionarioWV, true);statusDialog2.hide()"
                                     update="msgConsultaTramite, :asignarFuncionarioForm" />

                    <p:spacer height="7" width="0" />

                    <p:commandButton value="Ver mapa" id="zoomAreaB" action="#{administracionAsignacionUsuarios.prepararPrediosVisor}"
                                     icon="ui-icon-zoomin" ajax="true"
                                     oncomplete="cargarMapaZoomToFeature('#{administracionAsignacionUsuarios.applicationClientName}',
                                     '#{administracionAsignacionUsuarios.tokenParam}',
                                     '#{administracionAsignacionUsuarios.moduleLayer}',
                                     '#{administracionAsignacionUsuarios.moduleTools}',
                                     '#{administracionAsignacionUsuarios.prediosParaZoom}');" />

                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Cerrar" icon="ui-icon-close"
                                         immediate="true" process="@this" title="Cerrar" label="Cerrar"
                                         action="#{administracionAsignacionUsuarios.volverAlInicio}"
                                         ajax="false" />
                        <p:spacer height="0" width="10" />
                    </p:outputPanel>
                </h:panelGrid>

            </h:panelGrid>

        </h:form>

        <!---carga de de tramites por usuario -->
        <p:dialog header="Carga de trámites de ejecutor" dynamic="true"
                  widgetVar="cargaTramitesUsuarioWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="500" width="800">
            <ui:include src="cargaTramitesUsuario.xhtml" >
                <ui:param name="thisWVNameParam" value="cargaTramitesUsuarioWV" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Asignación de usuario" dynamic="true"
                  widgetVar="asignacionFuncionarioWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="800" height="400">
            <ui:include src="/conservacion/asignacion/funcionariosReasignacion.xhtml" />

        </p:dialog>

        <p:dialog header="Búsqueda de actividades" dynamic="true"
                  widgetVar="busquedaActividadesWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="1024">
            <ui:include src="/conservacion/asignacion/busquedaActividadesAsignacion.xhtml">

            </ui:include>
        </p:dialog>
        <p:dialog header="Búsqueda de trámites" dynamic="true"
                  widgetVar="busquedaTramitesWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="1024">
            <ui:include src="/conservacion/asignacion/busquedaActividadesTramites.xhtml">

            </ui:include>
        </p:dialog>
        <p:dialog header="Trámites por actividad" dynamic="true"
                  widgetVar="tramitesActividadWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="400" width="1024">

            <h:form id="detalleActividadForm">
                <ui:include src="/conservacion/asignacion/detalleListaTramitesAsignacion.xhtml">
                    <ui:param name="listaTramitesParam" value="#{administracionAsignacionUsuarios.tramitesPorActividad}"/>
                    <ui:param name="listaTramitesSeleccionadosParam" value="#{administracionAsignacionUsuarios.tramitesSeleccionados}"/>
                    <ui:param name="seleccionParam" value="false"/>

                </ui:include>

                <p:spacer height="20" width="0" />
                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Cerrar" icon="ui-icon-close"
                                     process="@this" title="Cerrar" label="Cerrar"
                                     onclick="tramitesActividadWV.hide();"/>
                    <p:spacer height="0" width="10" />
                </p:outputPanel>
            </h:form>
        </p:dialog>



        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite"
                  dynamic="true" widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Documentos" dynamic="true"
                  widgetVar="detalleDocumentosTramiteWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="/tramite/gestionConsultaDocumento.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <predio:consultaPrediosCC id="cpCC" thisCCId="cpCC"
                                  managedBean="#{consultaPredio}" thisWVName="consultaPrediosDlgWV"
                                  ccIdsChain1=":psCC" ccIdsChain2=":dpCC"
                                  selectedPrediosWVName="prediosSeleccionadosDlgWV"
                                  mostrarBusquedaAvanzada="true" detallesPredioWV="detallesPredioWV"
                                  additionMethod1="#{consultaPredio.adicionarPredio1}"
                                  usePrediosButtonRendered="false"
                                  verPrediosSeleccionadosButtonRendered="false"
                                  usePrediosMethod="#{gestionarSolicitudes.adicionarPrediosAlTramite}"
                                  idsComponentsToUpdate=":msgsGSB" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <predio:prediosSeleccionadosCC id="psCC"
                                       managedBean="#{consultaPredio}"
                                       thisWVName="prediosSeleccionadosDlgWV" ccIdsChain="dpCC"
                                       detallesPredioWV="detallesPredioWV"
                                       usePrediosMethod="#{gestionarSolicitudes.adicionarPrediosAlTramite}"
                                       consultaPredioPredioWV="consultaPrediosDlgWV"
                                       usePrediosButtonRendered="true"
                                       idsComponentsToUpdate=":nuevoTramiteSolForm:contenedorPredios,:nuevoTramiteSolForm:msgsTramite, :nuevoTramiteSolForm:datosTramiteAutoavaluoEdicionPanelGrid" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{consultaTramite.reporteDocumentoWaterMark.urlWebReporte}"
            fileContent="#{consultaTramite.reporteDocumentoWaterMark.streamedContentReporte}"
            documentoGenerado="#{consultaTramite.reporteDocumentoWaterMark ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="false"/>

        <ui:include src="../../util/visorGeografico.xhtml" />

    </ui:define>

</ui:composition>